        !COMPILER-GENERATED INTERFACE MODULE: Thu Nov 13 16:37:32 2014
        MODULE HALLTH__genmod
          INTERFACE 
            SUBROUTINE HALLTH(Z,Y,Y3,Y5,Y7,TH1,TH2,TH3)
              REAL(KIND=4) :: Z
              REAL(KIND=4) :: Y
              REAL(KIND=4) :: Y3
              REAL(KIND=4) :: Y5
              REAL(KIND=4) :: Y7
              REAL(KIND=4) :: TH1
              REAL(KIND=4) :: TH2
              REAL(KIND=4) :: TH3
            END SUBROUTINE HALLTH
          END INTERFACE 
        END MODULE HALLTH__genmod
